Bug 1122250 - [abrt] pam_mount: _IO_vfprintf_internal(): pmvarrun killed by SIGSEGV
Summary: [abrt] pam_mount: _IO_vfprintf_internal(): pmvarrun killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pam_mount
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:094396247b282421790f5a9e14f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:09 UTC by Pavel Malyshev
Modified: 2015-01-05 07:41 UTC (History)
4 users (show)

Fixed In Version: pam_mount-2.15-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-05 07:39:42 UTC


Attachments (Terms of Use)
File: backtrace (251.02 KB, text/plain)
2014-07-22 19:09 UTC, Pavel Malyshev
no flags Details
File: cgroup (171 bytes, text/plain)
2014-07-22 19:09 UTC, Pavel Malyshev
no flags Details
File: core_backtrace (2.13 KB, text/plain)
2014-07-22 19:09 UTC, Pavel Malyshev
no flags Details
File: dso_list (1.94 KB, text/plain)
2014-07-22 19:09 UTC, Pavel Malyshev
no flags Details
File: environ (321 bytes, text/plain)
2014-07-22 19:09 UTC, Pavel Malyshev
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-22 19:09 UTC, Pavel Malyshev
no flags Details
File: maps (9.62 KB, text/plain)
2014-07-22 19:09 UTC, Pavel Malyshev
no flags Details
File: open_fds (100 bytes, text/plain)
2014-07-22 19:09 UTC, Pavel Malyshev
no flags Details
File: proc_pid_status (913 bytes, text/plain)
2014-07-22 19:09 UTC, Pavel Malyshev
no flags Details
File: var_log_messages (574 bytes, text/plain)
2014-07-22 19:09 UTC, Pavel Malyshev
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-07-22 19:09 UTC, Pavel Malyshev
no flags Details

Description Pavel Malyshev 2014-07-22 19:09:01 UTC
Description of problem:


Version-Release number of selected component:
pam_mount-2.14-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        pmvarrun -u gdm -o 1
crash_function: _IO_vfprintf_internal
executable:     /usr/sbin/pmvarrun
kernel:         3.13.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 _IO_vfprintf_internal at vfprintf.c:1635
 #1 buffered_vfprintf at vfprintf.c:2328
 #2 _IO_vfprintf_internal at vfprintf.c:1289
 #3 ___vfprintf_chk at vfprintf_chk.c:33
 #4 vfprintf at /usr/include/bits/stdio2.h:127
 #5 ehd_err at log.c:57
 #6 create_var_run at pmvarrun.c:306
 #7 modify_pm_count at pmvarrun.c:239

Comment 1 Pavel Malyshev 2014-07-22 19:09:04 UTC
Created attachment 920020 [details]
File: backtrace

Comment 2 Pavel Malyshev 2014-07-22 19:09:06 UTC
Created attachment 920021 [details]
File: cgroup

Comment 3 Pavel Malyshev 2014-07-22 19:09:07 UTC
Created attachment 920022 [details]
File: core_backtrace

Comment 4 Pavel Malyshev 2014-07-22 19:09:08 UTC
Created attachment 920023 [details]
File: dso_list

Comment 5 Pavel Malyshev 2014-07-22 19:09:09 UTC
Created attachment 920024 [details]
File: environ

Comment 6 Pavel Malyshev 2014-07-22 19:09:10 UTC
Created attachment 920025 [details]
File: limits

Comment 7 Pavel Malyshev 2014-07-22 19:09:11 UTC
Created attachment 920026 [details]
File: maps

Comment 8 Pavel Malyshev 2014-07-22 19:09:13 UTC
Created attachment 920027 [details]
File: open_fds

Comment 9 Pavel Malyshev 2014-07-22 19:09:14 UTC
Created attachment 920028 [details]
File: proc_pid_status

Comment 10 Pavel Malyshev 2014-07-22 19:09:15 UTC
Created attachment 920029 [details]
File: var_log_messages

Comment 11 Pavel Malyshev 2014-07-22 19:09:16 UTC
Created attachment 920030 [details]
File: exploitable

Comment 12 Till Maas 2014-12-01 21:29:57 UTC
This is fixed in Rawhide: pam_mount-2.15-1.fc22

Comment 13 Fedora Update System 2014-12-13 15:58:28 UTC
youtube-dl-2014.12.10.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/youtube-dl-2014.12.10.3-1.el7

Comment 14 Fedora Update System 2014-12-13 15:58:36 UTC
youtube-dl-2014.12.10.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/youtube-dl-2014.12.10.3-1.fc21

Comment 15 Fedora Update System 2014-12-13 15:58:43 UTC
youtube-dl-2014.12.10.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/youtube-dl-2014.12.10.3-1.fc19

Comment 16 Fedora Update System 2014-12-13 15:58:49 UTC
youtube-dl-2014.12.10.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/youtube-dl-2014.12.10.3-1.fc20

Comment 17 Fedora Update System 2014-12-13 15:59:49 UTC
pam_mount-2.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pam_mount-2.15-1.fc20

Comment 18 Fedora Update System 2014-12-13 15:59:58 UTC
pam_mount-2.15-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pam_mount-2.15-1.fc21

Comment 19 Fedora Update System 2014-12-15 04:28:06 UTC
Package pam_mount-2.15-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pam_mount-2.15-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16960/pam_mount-2.15-1.fc20
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2015-01-05 07:39:42 UTC
pam_mount-2.15-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-01-05 07:41:51 UTC
pam_mount-2.15-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.